<?php

namespace Layerdrops\Ostech\Widgets;


class About extends \Elementor\Widget_Base
{
	public function get_name()
	{
		return 'ostech-about';
	}

	public function get_title()
	{
		return __('About', 'ostech-addon');
	}

	public function get_icon()
	{
		return 'eicon-cogs';
	}

	public function get_categories()
	{
		return ['ostech-category'];
	}

	protected function register_controls()
	{
		$this->start_controls_section(
			'layout_section',
			[
				'label' => __('Layout', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'layout_type',
			[
				'label' => __('Select Layout', 'ostech-addon'),
				'type' => \Elementor\Controls_Manager::SELECT2,
				'default' => 'layout_one',
				'options' => [
					'layout_one' => __('Layout One', 'ostech-addon'),
					'layout_two' => __('Layout Two', 'ostech-addon'),
					'layout_three' => __('Layout Three', 'ostech-addon'),
					// 'layout_four' => __('Layout Four', 'ostech-addon'),
					// 'layout_five' => __('Layout Five', 'ostech-addon'),
				]
			]
		);

		$this->end_controls_section();

		include ostech_get_elementor_option('about-one-option.php');
		include ostech_get_elementor_option('about-two-option.php');
		include ostech_get_elementor_option('about-three-option.php');
		include ostech_get_elementor_option('about-four-option.php');
		include ostech_get_elementor_option('about-five-option.php');

		//General style
		$this->start_controls_section(
			'general_style',
			[
				'label' => esc_html__('Content Style', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

		ostech_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .sec-title__title,{{WRAPPER}} .about-three__con-middle__title,{{WRAPPER}} .sec-title-two__title', ['layout_one', 'layout_two', 'layout_three', 'layout_four', 'layout_five']);

		ostech_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .sec-title__tagline,{{WRAPPER}} .about-three__con-middle__text-one,{{WRAPPER}} .sec-title-two__tagline', ['layout_one', 'layout_two', 'layout_three', 'layout_four', 'layout_five']);


		ostech_elementor_general_style_options($this, 'Summary Text', '{{WRAPPER}} .about-one__top__text,{{WRAPPER}} .about-three__top__text,{{WRAPPER}} .about-two__content__text,{{WRAPPER}} .about-three__con-middle__text-two,{{WRAPPER}} .about-two__top__text', ['layout_one', 'layout_two', 'layout_three', 'layout_four', 'layout_five']);

		ostech_elementor_general_style_options($this, 'Highlighted Text', '{{WRAPPER}} .why-choose-two__highlight,{{WRAPPER}} .about-one__content__text-one', ['layout_two']);

		ostech_elementor_general_style_options($this, 'Feature Title', '{{WRAPPER}} .about-one__feature__item__title,{{WRAPPER}} .about-three__feature__top__title,{{WRAPPER}} .about-two__feature__top__title', ['layout_one', 'layout_two', 'layout_three']);

		ostech_elementor_general_style_options($this, 'Feature Summary', '{{WRAPPER}} .about-one__feature__item__text,{{WRAPPER}} .about-three__feature__item__text,{{WRAPPER}} .about-two__feature__item__text', ['layout_one', 'layout_two', 'layout_three']);

		ostech_elementor_general_style_options($this, 'Content Title', '{{WRAPPER}} .about-one__funfact__item__text,{{WRAPPER}} .about-two__content__list li,{{WRAPPER}} .about-three__con-right__title', ['layout_one', 'layout_three', 'layout_four']);

		ostech_elementor_general_style_options($this, 'Author Content', '{{WRAPPER}} .about-one__content__author__meta,{{WRAPPER}} .about-two__content__author__meta', ['layout_two', 'layout_three']);

		ostech_elementor_general_style_options($this, 'Check List Title', '{{WRAPPER}} .about-one__list__item,{{WRAPPER}} .about-four__list li', ['layout_one', 'layout_five']);
		ostech_elementor_general_style_options($this, 'Check List Icon', '{{WRAPPER}} .about-one__list__item i', ['layout_one']);

		$this->end_controls_section();

		//Button style
		$this->start_controls_section(
			'button_style',
			[
				'label' => esc_html__('Button Style', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

		ostech_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .ostech-btn', '{{WRAPPER}} .ostech-btn::after,{{WRAPPER}} .ostech-btn::before', ['layout_one', 'layout_two', 'layout_three']);

		$this->end_controls_section();
	}

	protected function render()
	{
		$settings = $this->get_settings_for_display();
		include ostech_get_template('about-one.php');
		include ostech_get_template('about-two.php');
		include ostech_get_template('about-three.php');
		// include ostech_get_template('about-four.php');
		// include ostech_get_template('about-five.php');
	}
}
